277CA Report
Retrieve a 277CA claim acknowledgment in JSON format
GET
/change/medicalnetwork/reports/v2/{transactionId}/277The 277CA claim acknowledgment indicates whether a claim was accepted or rejected and (if relevant) the reasons for rejection. This endpoint retrieves processed 277CA transactions from Stedi.
- Call this endpoint with the
transactionIdof the 277CA you want to retrieve. You can retrieve the transaction ID through event destinations or through Stedi's API. Learn more - The endpoint returns the 277CA in JSON format.
Authorization
RequiredHeader
A Stedi API Key for authentication. Supports both test and production API keys.
Path Parameters
transactionId
Regex pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Length: 36A unique identifier for the processed 277 transaction within Stedi. This ID is included in the transaction processed event, which you can receive automatically through Stedi webhooks. You can also retrieve it through the Poll Transactions endpoint.
Request
curl --request GET \ --url "https://healthcare.us.stedi.com/2024-04-01/change/medicalnetwork/reports/v2/{transactionId}/277" \ --header "Authorization: <api_key>"Response
{
"meta": {
"transactionId": "71716ec5-0e96-462f-bb77-869941bb27ab"
},
"transactions": [
{
"controlNumber": "1001",
"payers": [
{
"claimStatusTransactions": [
{
"claimStatusDetails": [
{
"patientClaimStatusDetails": [
{
"claims": [
{
"claimStatus": {
"claimServiceBeginDate": "20240101",
"claimServiceEndDate": "20240101",
"clearinghouseTraceNumber": "01J1SNT1FQC8ABWD44MAMBDYKA",
"informationClaimStatuses": [
{
"informationStatuses": [
{
"healthCareClaimStatusCategoryCode": "A1",
"healthCareClaimStatusCategoryCodeValue": "Acknowledgement/Receipt - The claim/encounter has been received. This does not mean that the claim has been accepted for adjudication.",
"statusCode": "20",
"statusCodeValue": "Accepted for processing."
}
],
"statusInformationEffectiveDate": "20240702",
"totalClaimChargeAmount": "109.20"
}
],
"patientAccountNumber": "11122233",
"referencedTransactionTraceNumber": "11122233"
}
}
],
"subscriber": {
"firstName": "JOHN",
"lastName": "ANON",
"memberId": "U7777788888"
}
}
],
"providerOFServiceInformationTraceIdentifier": "0",
"serviceProvider": {
"npi": "1235600834",
"organizationName": "THERAPY ASSOCIATES"
}
}
],
"claimTransactionBatchNumber": "01J1SNRJ0FP4ZE6EFWM4G4XB3N",
"provider": {
"etin": "1235600834",
"organizationName": "TEST DATA HEALTH SERVICES, INC."
},
"providerClaimStatuses": [
{
"providerStatuses": [
{
"healthCareClaimStatusCategoryCode": "A1",
"healthCareClaimStatusCategoryCodeValue": "Acknowledgement/Receipt - The claim/encounter has been received. This does not mean that the claim has been accepted for adjudication.",
"statusCode": "20",
"statusCodeValue": "Accepted for processing."
}
],
"statusInformationEffectiveDate": "20240702"
}
]
}
],
"entityIdentifierCode": "AY",
"entityIdentifierCodeValue": "Clearinghouse",
"organizationName": "STEDI INC"
}
],
"referenceIdentification": "1511096803",
"transactionSetCreationDate": "20240702",
"transactionSetCreationTime": "0815"
}
]
}